public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "James Le Cuirot" <chewi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-tv/linuxtv-dvb-apps/
Date: Sun,  3 Dec 2017 22:14:33 +0000 (UTC)	[thread overview]
Message-ID: <1512339229.5aad06c19363f6f917003987dd83b16dc01092e4.chewi@gentoo> (raw)

commit:     5aad06c19363f6f917003987dd83b16dc01092e4
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 29 23:57:39 2017 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sun Dec  3 22:13:49 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5aad06c1

media-tv/linuxtv-dvb-apps: Newer snapshot, EAPI 6, cleanup

As this is no longer maintained upstream, it had been suggested that
this package be last-rited but there are still utilities and libraries
that are not available elsewhere. libdvben50221 is still used by
tvheadend, for example. Other distros still package this accordingly.

The DTV scan tables are no longer included as they have been split out
into a new project, hence the new dependency.

Closes: https://bugs.gentoo.org/383993
Package-Manager: Portage-2.3.16, Repoman-2.3.6

 media-tv/linuxtv-dvb-apps/Manifest                 |  3 +-
 .../linuxtv-dvb-apps-1.1.1.20140321.ebuild         | 91 ++++++++++++++++++++++
 2 files changed, 93 insertions(+), 1 deletion(-)

diff --git a/media-tv/linuxtv-dvb-apps/Manifest b/media-tv/linuxtv-dvb-apps/Manifest
index 9fbc2ee62f5..eccea00b4a1 100644
--- a/media-tv/linuxtv-dvb-apps/Manifest
+++ b/media-tv/linuxtv-dvb-apps/Manifest
@@ -1 +1,2 @@
-DIST linuxtv-dvb-apps-1.1.1.20100223.tar.bz2 429129 SHA256 8a657a1479de665a6d95d8f5585ffd0228232e1a030b88435d4c40d85e983461 SHA512 0950197e2a199b1ab4392fa2e893d9b537d2b8fed05b24d8b81a2abf11ed2373dcb299a51e217c6508ea68b81691728b120328e4080de68519449fc5fd506161 WHIRLPOOL 5129c13fbc1cc65c9a5177d29de87563c22f4a8c78bbe4534e65a9c46b3683344c5a296cd157379c7af9500a9079daea8418b927a65ed1596d24d6300441ed20
+DIST linuxtv-dvb-apps-1.1.1.20100223.tar.bz2 429129 BLAKE2B d67eb79f89243e73528ce1e79935031f9afb7270c4c22a8670f3c48b75d7ddbe0efe1188b77851b875f78a35419186b7015b82e335063751eecd1f9eacc72947 SHA512 0950197e2a199b1ab4392fa2e893d9b537d2b8fed05b24d8b81a2abf11ed2373dcb299a51e217c6508ea68b81691728b120328e4080de68519449fc5fd506161
+DIST linuxtv-dvb-apps-1.1.1.20140321.tar.bz2 368759 BLAKE2B 5ef1bc4ee4f0ab167cda8d87a73c83566b40005e16fbaa79525af4fb0b117dec19a4883eedad8bcfedd269c2e295dd7f9e055f905dff5f39dffe1ff052e87547 SHA512 ceb057f760fa0b3902e6824e74b9392be9a7bd3318a1a83f206c99672da17904060ffdc35e84c89d3b8af60ac29d4427acad44e9ae16797baaeb5738e2ab1bf5

diff --git a/media-tv/linuxtv-dvb-apps/linuxtv-dvb-apps-1.1.1.20140321.ebuild b/media-tv/linuxtv-dvb-apps/linuxtv-dvb-apps-1.1.1.20140321.ebuild
new file mode 100644
index 00000000000..233e547a8a7
--- /dev/null
+++ b/media-tv/linuxtv-dvb-apps/linuxtv-dvb-apps-1.1.1.20140321.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit toolchain-funcs vcs-snapshot
+
+HOMEPAGE="https://www.linuxtv.org/"
+DESCRIPTION="Small utils for DVB to scan, zap, view signal strength"
+SRC_URI="https://www.linuxtv.org/hg/dvb-apps/archive/3d43b280298c.tar.bz2 -> ${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE="alevt usb"
+
+RDEPEND="
+	alevt? (
+		!media-video/alevt
+		media-libs/libpng:0=
+		media-libs/zvbi[v4l]
+		sys-libs/zlib
+		x11-libs/libX11
+	)
+	usb? ( virtual/libusb:0 )
+"
+DEPEND="${RDEPEND}
+	dev-lang/perl
+	virtual/linuxtv-dvb-headers
+"
+RDEPEND+="
+	media-tv/dtv-scan-tables
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-1.1.1.20100223-ldflags.patch
+	"${FILESDIR}"/${PN}-1.1.1.20100223-alevt.patch
+	"${FILESDIR}"/${PN}-1.1.1.20100223-perl526.patch
+)
+
+src_prepare() {
+	default
+
+	# do not compile test-progs, incompatible with videodev2.h
+	sed -i '/-C test/d' Makefile || die
+
+	# remove copy of header-files
+	rm -rv "${S}"/include/ || die
+}
+
+src_compile() {
+	emake V=1 CC=$(tc-getCC) $(usex usb "ttusb_dec_reset=1" "")
+	use alevt && emake -C util/alevt CC=$(tc-getCC) OPT="${CFLAGS}"
+}
+
+src_install() {
+	emake V=1 prefix="${EPREFIX}/usr" libdir="${EPREFIX}/usr/$(get_libdir)" \
+		$(usex usb "ttusb_dec_reset=1" "") \
+		DESTDIR="${D}" INSTDIR="${T}" install
+
+	if use alevt ; then
+		dodir /usr/share/{applications,man/man1}
+		emake -C util/alevt DESTDIR="${D}" install
+	fi
+
+	# rename scan to scan-dvb
+	mv "${ED}"/usr/bin/scan{,-dvb} || die
+
+	# install zap-files
+	local dir=""
+	for dir in dvb-{s,c,t} atsc ; do
+		insinto /usr/share/dvb/zap/${dir}
+		doins "${S}"/util/szap/channels-conf/${dir}/*
+	done
+
+	# install remote-key files
+	insinto /usr/share/dvb/av7110_loadkeys
+	doins util/av7110_loadkeys/*.rc*
+
+	# install Documentation
+	dodoc README
+	newdoc util/scan/README README.scan-dvb
+	newdoc util/szap/README README.zap
+	newdoc util/av7110_loadkeys/README README.av7110_loadkeys
+
+	use usb && newdoc util/ttusb_dec_reset/README README.ttusb_dec_reset
+}
+
+pkg_postinst() {
+	elog "/usr/bin/scan has been installed as scan-dvb."
+}


             reply	other threads:[~2017-12-03 22:14 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-12-03 22:14 James Le Cuirot [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-03-20  0:16 [gentoo-commits] repo/gentoo:master commit in: media-tv/linuxtv-dvb-apps/ Sam James
2020-11-01  3:20 Sam James
2020-06-11  8:34 Agostino Sarubbo
2020-06-11  8:29 Agostino Sarubbo
2020-06-11  8:25 Agostino Sarubbo
2019-02-22 10:35 Mikle Kolyada
2019-02-22 10:35 Mikle Kolyada
2019-02-15  0:18 Thomas Deutschmann
2019-01-26 17:23 Sergei Trofimovich
2017-06-03 21:26 Andreas Sturmlechner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1512339229.5aad06c19363f6f917003987dd83b16dc01092e4.chewi@gentoo \
    --to=chewi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox